### Enumeration

# AppStream VideoCodecKind

since: 1.0

#### Declaration

    enum AppStream.VideoCodecKind

#### Description [src]

Supported video codecs.

Available since: 1.0

#### Members

`AS_VIDEO_CODEC_KIND_UNKNOWN`

  Unknown video codec.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_VIDEO_CODEC_KIND_VP9`

  The VP9 video codec.

  - Value: `1`
  - Nickname: `vp9`
  - Available since: 1.0
`AS_VIDEO_CODEC_KIND_AV1`

  The AV1 video codec.

  - Value: `2`
  - Nickname: `av1`
  - Available since: 1.0

#### Type functions

###### as_video_codec_kind_from_string

Converts the text representation to an enumerated value.

since: 1.0

###### as_video_codec_kind_to_string

Converts the enumerated value to an text representation.

since: 1.0